#### Description:

This function returns the used length of a string. This excludes any trailing white space or non-printable characters (such as the trailing null character).

#### Synopsis

size_t astChrLen( const char ∗string )

#### Parameters:

##### string

Pointer to the string.

#### Returned Value

##### astChrLen()

The number of characters in the supplied string, not including the trailing newline, and any trailing white-spaces or non-printable characters.
Copyright (C) 2021 East Asian Observatory